<?php
if ( ! get_theme_mod( 'aster_travel_blog_enable_banner_section', false ) ) {
	return;
}

$aster_travel_blog_slider_content_ids  = array();
$aster_travel_blog_slider_content_type = get_theme_mod( 'aster_travel_blog_banner_slider_content_type', 'post' );

for ( $aster_travel_blog_i = 1; $aster_travel_blog_i <= 3; $aster_travel_blog_i++ ) {
	$aster_travel_blog_slider_content_ids[] = get_theme_mod( 'aster_travel_blog_banner_slider_content_' . $aster_travel_blog_slider_content_type . '_' . $aster_travel_blog_i );
}

// Get the category for the banner slider from theme mods or a default category
$aster_travel_blog_banner_slider_category = get_theme_mod('aster_travel_blog_banner_slider_category', 'Banner');

// Modify query to fetch posts from a specific category
$aster_travel_blog_banner_slider_args = array(
    'post_type'           => $aster_travel_blog_slider_content_type,
    'post__in'            => array_filter( $aster_travel_blog_slider_content_ids ),
    'orderby'             => 'post__in',
    'posts_per_page'      => absint(3),
    'ignore_sticky_posts' => true,
);

// Apply category filter only if content type is 'post'
if ( 'post' === $aster_travel_blog_slider_content_type && ! empty( $aster_travel_blog_banner_slider_category ) ) {
    $aster_travel_blog_banner_slider_args['category_name'] = $aster_travel_blog_banner_slider_category;
}

$aster_travel_blog_banner_slider_args = apply_filters( 'aster_travel_blog_banner_section_args', $aster_travel_blog_banner_slider_args );

aster_travel_blog_render_banner_section( $aster_travel_blog_banner_slider_args );

/**
 * Render Banner Section.
 */
function aster_travel_blog_render_banner_section( $aster_travel_blog_banner_slider_args ) {     ?>

	<section id="aster_travel_blog_banner_section" class="banner-section banner-style-1">
		<?php
		if ( is_customize_preview() ) :
			aster_travel_blog_section_link( 'aster_travel_blog_banner_section' );
		endif;
		?>
		<div class="banner-section-wrapper">
			<?php
			$query = new WP_Query( $aster_travel_blog_banner_slider_args );
			if ( $query->have_posts() ) :
				?>
				<div class="asterthemes-banner-wrapper banner-slider aster-travel-blog-carousel-navigation" data-slick='{"autoplay": false }'>
					<?php 
					$aster_travel_blog_i = 1;
					while ( $query->have_posts() ) :
						$query->the_post();
						$aster_travel_blog_button_label = get_theme_mod( 'aster_travel_blog_banner_button_label_' . $aster_travel_blog_i);
						$aster_travel_blog_button_link  = get_theme_mod( 'aster_travel_blog_banner_button_link_' . $aster_travel_blog_i);
						$aster_travel_blog_button_link  = ! empty( $aster_travel_blog_button_link ) ? $aster_travel_blog_button_link : get_the_permalink();
						?>
						<div class="banner-single-outer">
							<div class="banner-single">
								<div class="banner-img">
                                    <?php if ( has_post_thumbnail() ) : ?>
                                        <?php the_post_thumbnail( 'full' ); ?>
                                    <?php else : ?>
                                        <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/resource/img/default.png" />
                                    <?php endif; ?>
                                </div>
								<div class="banner-caption">
									<div class="asterthemes-wrapper">
										<div class="banner-catption-wrapper wow fadeInDown" data-wow-duration="1.5s">
											<h1 class="banner-caption-title">
												<a href="<?php the_permalink(); ?>">
							                        <?php the_title(); ?>
							                    </a>
											</h1>
											<div class="mag-post-excerpt">
												<?php the_excerpt(); ?>
											</div>
											<?php if ( ! empty( $aster_travel_blog_button_label ) ) { ?>
												<div class="banner-slider-btn">
													<a href="<?php echo esc_url( $aster_travel_blog_button_link ); ?>" class="asterthemes-button"><?php echo esc_html( $aster_travel_blog_button_label ); ?></a>
												</div>
											<?php } ?>
										</div>
									</div>
								</div>
							</div>
						</div>
						<?php
						$aster_travel_blog_i++;
					endwhile;
					wp_reset_postdata();
					?>
				</div>
				<?php
			endif;
			?>
		</div>
	</section>

	<?php
}